Subject: Re: [radext] Comments on draft-ietf-radext-dynamic-discovery-06

From: Stefan Winter <[email-masked]>
Date: Wed, 03 Jul 2013 16:19:05 +0200

Hi,

> 1.   Should there be a potential privacy concern noted in this document
> surrounding the question of what information can leak based on the domain(s)
> being queried?  I am not sure that there is any usable information leaking
> here but this is not even close to my forte.
> 
>  2.  In section 2.3.3 - May want to be a bit more detailed here about the
> subsequent lookup steps.  Presumably this is not starting with step 8 but I
> could be wrong.  I.e. do we take the set of result names and go back to step
> 4 with new values of R?

I'm adding these two to a new TRAC ticket, almost lost them in my ML
history.

> 3.  In section 2.3.3 - Please provide some text somewhere about the
> reasoning behind step 15.  I can understand removing a single record from
> the record set but all of them?

The current working copy of -07-to-be describes this.

> 4.  In section 2.3.3 - Step 12 does not specify where the negative TTL comes
> from.  ( referenced as something significant in 2.3.4)

The current working copy of -07-to-be describes this (either from a SOA
TTL, or from local config if there was no reply at all).

Greetings,

Stefan Winter

-- 
Stefan WINTER
Ingenieur de Recherche
Fondation RESTENA - Réseau Téléinformatique de l'Education Nationale et
de la Recherche
6, rue Richard Coudenhove-Kalergi
L-1359 Luxembourg

Tel: +352 424409 1
Fax: +352 422473